package haushalt;
import app.Applikation;

import java.awt.event.*;
import javax.swing.text.*;
import javax.swing.JTextField;
import javax.swing.JComponent;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class PaneZahl
  extends PaneMaster {

  private JTextField textField;

  public PaneZahl(String textAufforderung, Integer wertEingabe) {
    wert = wertEingabe;
    textField = new JTextField(""+wertEingabe) {
      protected Document createDefaultModel() {
        return new ZahlDocument();
      }
    };
    init(textAufforderung, textField);
  }

  protected void refreshWert() {
    wert = new Integer(textField.getText());
    setAusgabe("Eingegebener Wert: "+wert);
  }

  public JComponent getZentraleKomponente() {
    return textField;
  }

  private class ZahlDocument extends PlainDocument {
    public void insertString(int offs, String str, AttributeSet a)
      throws BadLocationException {
      char[] source = str.toCharArray();
      char[] result = new char[source.length];
      int j = 0;

      for (int i = 0; i < source.length; i++) {
        if (Character.isDigit(source[i]))
          result[j++] = source[i];
        else
          Applikation.fehlerAusgabe.println("-I- Falsches Zeichen: " + source[i]);
      }

      super.insertString(offs, new String(result, 0, j), a);
    }
  }

}