package haushalt.werte;

/**
 * Teil des Paketes 'werte' des Projektes jHaushalt.
 *
 * @author Lars H. Hahn
 * @version 1.1
 */

public class IntervallSumme {
  public Euro einnahmen = new Euro();
  public Euro ausgaben = new Euro();
  private String text;

  public IntervallSumme(String text) {
    this.text = text;
  }

  public String toString() {
    return text;
  }

  public Euro gesamt() {
    return einnahmen.sub(ausgaben);
  }

  public void sum(Euro[] summen) {
    for(int j=0; j<summen.length; j++)
      if(summen[j].compareTo(new Euro()) > 0)
        einnahmen = einnahmen.add(summen[j]);
      else
        ausgaben = ausgaben.sub(summen[j]);
  }
}