package app;

import javax.swing.*;
import javax.swing.event.*;
import java.net.URL;
import java.awt.Dimension;

/**
 * Dialog mit dem HTML-Seiten angezeigt werden knnen.<br>
 * <i>(C)opyright 2002 L.H.Hahn</i>
 * @author Dr. Lars H. Hahn
 * @version 3.0
 */

public class DlgHilfe
  extends JDialog {

  private JEditorPane editorPane = new JEditorPane();

  public DlgHilfe(JFrame frame) {
    super(frame, "Hilfe", false);
    editorPane.setEditable(false);
    JScrollPane scrollPane = new JScrollPane(editorPane);
    scrollPane.setPreferredSize(new Dimension(600, 400));
    this.getContentPane().add(scrollPane);
    editorPane.addHyperlinkListener(new HyperlinkListener() {
      public void hyperlinkUpdate(HyperlinkEvent e) {
 	if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
 	  JEditorPane pane = (JEditorPane) e.getSource();
          try {
              pane.setPage(e.getURL());
          }
          catch (java.io.IOException ex) {
            Applikation.fehlerAusgabe.println("-W- Konnte URL nicht anzeigen: "+e.getURL());
          }
        }
      }
    });
  }

  public void zeigeURL(URL url) {
    try {
      editorPane.setPage(url);
    }
    catch (java.io.IOException e) {
      Applikation.fehlerAusgabe.println("-W- Konnte URL nicht anzeigen: "+url);
    }
  }

}