package haushalt.werte;

/**
 * Teil des Paketes 'werte' des Projektes jHaushalt.
 *
 * @author Lars H. Hahn
 * @version 1.1
 */

abstract public class ZeitIntervall {

  abstract public Datum getStartDatum();

  abstract public Datum getEndDatum();

  abstract public ZeitIntervall folgeIntervall();

  public int getAnzahlTage() {
    return (int)((getEndDatum().getTime()-getStartDatum().getTime()) / 86400000L);
    // 1 Tag = 24 * 60 * 60 * 1000 = 86400000 ms
  }

}